Subject: Bug#78: NX_xrandr lacks support from Xrandr 1.2 and higher

From: Reinhard Tartler <[email-masked]>
Date: Thu, 6 Dec 2012 12:59:36 +0100

Package: x2goagent

When starting a new x2go session, the startup scripts modify the
LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
This replaces the system libXrandr with the NX/X2go  provided one.
Unfortunately, this breaks the xrandr utility:

>> echo $LD_LIBRARY_PATH
/usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11

>> xrandr
xrandr: symbol lookup error: xrandr: undefined symbol: XRRGetScreenSizeRange
zsh: exit 127   xrandr

-- 
regards,
    Reinhard